# widgets/__init__.py
#
# Copyright 2020-2023 Fabio Comuni, et al.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from os import path
import datetime
import html
import math
import re

from dateutil.tz import UTC

from gi.repository import GLib
from gi.repository import GObject
from gi.repository import Gio
from gi.repository import Gdk
from gi.repository import Gtk
from gi.repository import GdkPixbuf
from gi.repository import Adw
from gi.repository import Graphene
from gi.repository import Gsk

from ..utils import clean_markup

from .eventeditdialog import EventEditDialog
from .loaderpage import LoaderPage
from .pageheaderbar import PageHeaderBar
from .searchbaroverlay import SearchBarOverlay
from .sidebar import SideBar
from .starbutton import StarButton
from .datepickerrow import DatePickerRow
from .inputdialog import InputDialog
from .loadingoverlay import LoadingOverlay
from .eventactionrow import EventActionRow
from .weblinkactionrow import WebLinkActionRow, weblinkactionrowactivated

